org.jboss.jca.core

## Interface CoreBundle

-     @MessageBundle(projectCode="IJ")
      public interface CoreBundle

  The core bundle. Message ids ranging from 000000 to 009999 inclusively.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `activationSpecClassNotAvailable()` The activation spec class is no longer available
    `java.lang.String` | `connectionIsNull()` Connection is null
    `java.lang.String` | `connectionListenerAlreadyEnlisted(java.lang.Object cl)` Connection listener already enlisted
    `java.lang.String` | `connectionManagerIsShutdown(java.lang.String jndiName)` The connection manager is shutdown
    `java.lang.String` | `couldNotCommitLocalTx()` Could not commit local tx
    `java.lang.String` | `couldNotDelistResourceThenTransactionRollback()` Could not delist resource, probably a transaction rollback
    `java.lang.String` | `couldNotRollbackLocalTx()` Could not rollback local tx
    `java.lang.String` | `deploymentFailedSinceJndiNameHasDeployed(java.lang.String className, java.lang.String jndiName)` Deployment failed since jndi name is already deployed
    `java.lang.String` | `duplicateHintWorkContextClass(java.lang.String classname)` Duplicate HintWorkContext class
    `java.lang.String` | `duplicateSecurityWorkContextClass(java.lang.String classname)` Duplicate SecurityWorkContext class
    `java.lang.String` | `duplicateTransactionWorkContextClass(java.lang.String classname)` Duplicate TransactionWorkContext class
    `java.lang.String` | `enlistmentNotEnabled()` Enlistment not enabled
    `java.lang.String` | `errorCheckingForTransaction()` Error checking for a transaction.
    `java.lang.String` | `errorDuringConnectionClose()` Error during connection close
    `java.lang.String` | `errorDuringEnlistment()` Error during enlistment
    `java.lang.String` | `errorDuringRecoveryInitialization()` Error during recovery initialization
    `java.lang.String` | `errorDuringRecoveryShutdown()` Error during recovery shutdown
    `java.lang.String` | `errorInDelist()` Error in delist
    `java.lang.String` | `errorInDissociate()` Error in dissociate
    `java.lang.String` | `errorTryingStartLocalTx()` Error trying to start local tx
    `java.lang.String` | `failureDelistResource(java.lang.Object obj)` Failure to delist resource
    `java.lang.String` | `forgetNotSupportedInLocalTx()` Forget not supported in local tx
    `java.lang.String` | `getManagedConnectionRetryWaitInterrupted(java.lang.String jndiName)` Method getManagedConnection retry wait was interrupted
    `java.lang.String` | `interruptedWhileRequestingConnection(long end)` Interrupted while requesting connection
    `java.lang.String` | `interruptedWhileRequestingPermit()` Interrupted while requesting permit
    `java.lang.String` | `interruptedWhileRequestingPermit(long end)` Interrupted while requesting permit
    `java.lang.String` | `invalidNumberOfParameters(int number, java.lang.String c)` Invalid number of parameters
    `java.lang.String` | `keyNotRegistered(java.lang.String key)` Key isn't registered
    `java.lang.String` | `managedConnectionNotLazyEnlistable(java.lang.Object mc)` Managed connection not lazy enlistable
    `java.lang.String` | `noMManagedConnectionsAvailableWithinConfiguredBlockingTimeout(long blockingTimeout)` No ManagedConnections available within configured blocking timeout
    `java.lang.String` | `noRecoverWithLocalTxResourceManagers()` No recover with local-tx only resource managers
    `java.lang.String` | `notCorrectTypeWhenClassCast(java.lang.String classname)` Not correct type in class cast
    `java.lang.String` | `notEnlistInTransactionOnEnteringMetaAwareObject()` Could not enlist in transaction on entering meta-aware object
    `java.lang.String` | `releaseMethodIsSynchronized(java.lang.String classname)` Release method is synchronized
    `java.lang.String` | `resourceAdapterAssociationFailed(java.lang.String clz)` ResourceAdapterAssociation failed
    `java.lang.String` | `resourceAdapterInstanceNotActive()` ResourceAdapter instance not active
    `java.lang.String` | `resourceAdapterNotAvailable()` The resource adapter is no longer available
    `java.lang.String` | `runMethodIsSynchronized(java.lang.String classname)` Run method is synchronized
    `java.lang.String` | `securityContextSetupFailed(java.lang.String message)` SecurityContext setup failed
    `java.lang.String` | `securityContextSetupFailedSinceCallbackSecurityDomainWasEmpty()` SecurityContext setup failed since CallbackSecurity::Domain was empty
    `java.lang.String` | `securityContextSetupFailedSinceCallbackSecurityWasNull()` SecurityContext setup failed since CallbackSecurity was null
    `java.lang.String` | `shouldNeverHappen()` This should never happen
    `java.lang.String` | `someConnectionsWereNotClosed()` Some connections were not closed
    `java.lang.String` | `startTimeoutIsNegative(long startTimeout)` StartTimeout is negative
    `java.lang.String` | `systemExceptionWhenFailedToEnlistEqualsCurrentTx(java.lang.Object throwable, java.lang.Object currentTx)` System exception when failedToEnlist equals currentTx
    `java.lang.String` | `thePoolHasBeenShutdown(java.lang.String pool, java.lang.String mcp)` The pool has been shutdown
    `java.lang.String` | `thisMethodNotSupported()` This method is not supported
    `java.lang.String` | `throwableTryingStartLocalTx()` Throwable trying to start local transaction
    `java.lang.String` | `transactionNotActive(java.lang.Object obj)` Transaction is not active
    `java.lang.String` | `tryingStartNewTxWhenOldNotComplete(java.lang.Object oldXid, java.lang.Object newXid, int flags)` Trying to start a new tx when old is not complete
    `java.lang.String` | `tryingStartNewTxWithWrongFlags(java.lang.Object xid, int flags)` Trying to start a new tx with wrong flags
    `java.lang.String` | `tryingToReturnUnknownConnection(java.lang.String connection)` Trying to return an unknown connection
    `java.lang.String` | `tryingUseConnectionFactoryShutDown()` You are trying to use a connection factory that has been shut down ManagedConnectionFactory is null
    `java.lang.String` | `tryingUseConnectionFactoryShutDown(java.lang.String name)` You are trying to use a connection factory that has been shut down
    `java.lang.String` | `unableGetConnectionListener()` Unable to get connection listener
    `java.lang.String` | `unableGetManagedConnection(java.lang.String jndiName)` Unable to get managed connection for
    `java.lang.String` | `unableGetManagedConnectionPool()` Unable to get managed connection pool
    `java.lang.String` | `unableLookupResourceAdapterInMDR(java.lang.String uniqueId)` Unable to lookup resource adapter in MDR
    `java.lang.String` | `unableObtainLock()` Unable to obtain lock
    `java.lang.String` | `unableSetXAResourceTransactionTimeout(java.lang.String jndiName)` Unable to set XAResource transaction timeout
    `java.lang.String` | `unableToFindConnectionListener()` Unable to find connection listener
    `java.lang.String` | `uncheckedThrowableInManagedConnectionGetConnection(java.lang.Object obj)` Unchecked throwable in ManagedConnection.getConnection()
    `java.lang.String` | `uncheckedThrowableInManagedConnectionReconnected(java.lang.Object obj)` Unchecked throwable in managedConnectionReconnected()
    `java.lang.String` | `unexpectedThrowableWhileTryingCreateConnection(java.lang.Object obj)` Unexpected throwable while trying to create a connection:
    `java.lang.String` | `unfinishedLocalTransaction(java.lang.Object obj)` Unfinished local transaction - error getting local transaction from
    `java.lang.String` | `unfinishedLocalTransactionNotProvideLocalTransaction(java.lang.Object obj)` Unfinished local transaction but managed connection does not provide a local transaction
    `java.lang.String` | `unsupportedWorkContextClass(java.lang.String classname)` Unsupported WorkContext class
    `java.lang.String` | `validationException()` Validation exception
    `java.lang.String` | `workExecutionContextMustNullImplementsWorkContextProvider()` Work execution context must be null because work instance implements WorkContextProvider
    `java.lang.String` | `workIsNull()` Work is null
    `java.lang.String` | `workmanagerShutdown()` WorkManager shutdown
    `java.lang.String` | `wrongManagedConnectionFactorySentToAllocateConnection(java.lang.Object pool, java.lang.Object mcf)` Wrong ManagedConnectionFactory sent to allocateConnection
    `java.lang.String` | `wrongXidInCommit(java.lang.Object currentXid, java.lang.Object xid)` Wrong xid in commit
    `java.lang.String` | `wrongXidInRollback(java.lang.Object currentXid, java.lang.Object xid)` Wrong xid in rollback

- - ### Method Detail

    - #### someConnectionsWereNotClosed

          @Message(id=151,
                   value="Some connections were not closed, see the log for the allocation stacktraces")
          java.lang.String someConnectionsWereNotClosed()

      Some connections were not closed
      Returns:
        The value

    - #### tryingToReturnUnknownConnection

          @Message(id=152,
                   value="Trying to return an unknown connection: %s")
          java.lang.String tryingToReturnUnknownConnection(java.lang.String connection)

      Trying to return an unknown connection
      Parameters:
        `connection` - The connection
      Returns:
        The value

    - #### securityContextSetupFailed

          @Message(id=251,
                   value="SecurityContext setup failed: %s")
          java.lang.String securityContextSetupFailed(java.lang.String message)

      SecurityContext setup failed
      Parameters:
        `message` - The throwable description
      Returns:
        The value

    - #### securityContextSetupFailedSinceCallbackSecurityWasNull

          @Message(id=252,
                   value="SecurityContext setup failed since CallbackSecurity was null")
          java.lang.String securityContextSetupFailedSinceCallbackSecurityWasNull()

      SecurityContext setup failed since CallbackSecurity was null
      Returns:
        The value

    - #### workIsNull

          @Message(id=253,
                   value="Work is null")
          java.lang.String workIsNull()

      Work is null
      Returns:
        The value

    - #### startTimeoutIsNegative

          @Message(id=254,
                   value="StartTimeout is negative: %s")
          java.lang.String startTimeoutIsNegative(long startTimeout)

      StartTimeout is negative
      Parameters:
        `startTimeout` - timeout of start
      Returns:
        The value

    - #### interruptedWhileRequestingPermit

          @Message(id=255,
                   value="Interrupted while requesting permit")
          java.lang.String interruptedWhileRequestingPermit()

      Interrupted while requesting permit
      Returns:
        The value

    - #### workExecutionContextMustNullImplementsWorkContextProvider

          @Message(id=256,
                   value="Work execution context must be null because work instance implements WorkContextProvider")
          java.lang.String workExecutionContextMustNullImplementsWorkContextProvider()

      Work execution context must be null because work instance implements WorkContextProvider
      Returns:
        The value

    - #### runMethodIsSynchronized

          @Message(id=257,
                   value="%s: Run method is synchronized")
          java.lang.String runMethodIsSynchronized(java.lang.String classname)

      Run method is synchronized
      Parameters:
        `classname` - class name of work
      Returns:
        The value

    - #### releaseMethodIsSynchronized

          @Message(id=258,
                   value="%s: Release method is synchronized")
          java.lang.String releaseMethodIsSynchronized(java.lang.String classname)

      Release method is synchronized
      Parameters:
        `classname` - class name of work
      Returns:
        The value

    - #### unsupportedWorkContextClass

          @Message(id=259,
                   value="Unsupported WorkContext class: %s")
          java.lang.String unsupportedWorkContextClass(java.lang.String classname)

      Unsupported WorkContext class
      Parameters:
        `classname` - class name of work
      Returns:
        The value

    - #### duplicateTransactionWorkContextClass

          @Message(id=260,
                   value="Duplicate TransactionWorkContext class: %s")
          java.lang.String duplicateTransactionWorkContextClass(java.lang.String classname)

      Duplicate TransactionWorkContext class
      Parameters:
        `classname` - class name of work
      Returns:
        The value

    - #### duplicateSecurityWorkContextClass

          @Message(id=261,
                   value="Duplicate SecurityWorkContext class: %s")
          java.lang.String duplicateSecurityWorkContextClass(java.lang.String classname)

      Duplicate SecurityWorkContext class
      Parameters:
        `classname` - class name of work
      Returns:
        The value

    - #### duplicateHintWorkContextClass

          @Message(id=262,
                   value="Duplicate HintWorkContext class: %s")
          java.lang.String duplicateHintWorkContextClass(java.lang.String classname)

      Duplicate HintWorkContext class
      Parameters:
        `classname` - class name of work
      Returns:
        The value

    - #### workmanagerShutdown

          @Message(id=263,
                   value="WorkManager is shutting down")
          java.lang.String workmanagerShutdown()

      WorkManager shutdown
      Returns:
        The value

    - #### securityContextSetupFailedSinceCallbackSecurityDomainWasEmpty

          @Message(id=264,
                   value="SecurityContext setup failed since CallbackSecurity::Domain was empty")
          java.lang.String securityContextSetupFailedSinceCallbackSecurityDomainWasEmpty()

      SecurityContext setup failed since CallbackSecurity::Domain was empty
      Returns:
        The value

    - #### resourceAdapterAssociationFailed

          @Message(id=265,
                   value="ResourceAdapterAssociation failed for %s")
          java.lang.String resourceAdapterAssociationFailed(java.lang.String clz)

      ResourceAdapterAssociation failed
      Parameters:
        `clz` - The class name
      Returns:
        The value

    - #### invalidNumberOfParameters

          @Message(id=266,
                   value="Invalid number of parameters %d (%s)")
          java.lang.String invalidNumberOfParameters(int number,
                                                                                                                             java.lang.String c)

      Invalid number of parameters
      Parameters:
        `number` - The number
        `c` - The command
      Returns:
        The value

    - #### notCorrectTypeWhenClassCast

          @Message(id=351,
                   value="Not correct type: %s")
          java.lang.String notCorrectTypeWhenClassCast(java.lang.String classname)

      Not correct type in class cast
      Parameters:
        `classname` - class name of work
      Returns:
        The value

    - #### failureDelistResource

          @Message(id=352,
                   value="Failure to delist resource: %s")
          java.lang.String failureDelistResource(java.lang.Object obj)

      Failure to delist resource
      Parameters:
        `obj` - listener instance
      Returns:
        The value

    - #### errorInDelist

          @Message(id=353,
                   value="Error in delist")
          java.lang.String errorInDelist()

      Error in delist
      Returns:
        The value

    - #### unfinishedLocalTransaction

          @Message(id=354,
                   value="Unfinished local transaction - error getting local transaction from %s")
          java.lang.String unfinishedLocalTransaction(java.lang.Object obj)

      Unfinished local transaction - error getting local transaction from
      Parameters:
        `obj` - listener instance
      Returns:
        The value

    - #### unfinishedLocalTransactionNotProvideLocalTransaction

          @Message(id=355,
                   value="Unfinished local transaction but managed connection does not provide a local transaction: %s")
          java.lang.String unfinishedLocalTransactionNotProvideLocalTransaction(java.lang.Object obj)

      Unfinished local transaction but managed connection does not provide a local transaction
      Parameters:
        `obj` - listener instance
      Returns:
        The value

    - #### systemExceptionWhenFailedToEnlistEqualsCurrentTx

          @Message(id=356,
                   value="Failed to enlist: %s tx=%s")
          java.lang.String systemExceptionWhenFailedToEnlistEqualsCurrentTx(java.lang.Object throwable,
                                                                                                                                          java.lang.Object currentTx)

      System exception when failedToEnlist equals currentTx
      Parameters:
        `throwable` - throwable instance
        `currentTx` - current transaction instance
      Returns:
        The value

    - #### errorInDissociate

          @Message(id=357,
                   value="Error in dissociate")
          java.lang.String errorInDissociate()

      Error in dissociate
      Returns:
        The value

    - #### connectionManagerIsShutdown

          @Message(id=451,
                   value="The connection manager is shutdown: %s")
          java.lang.String connectionManagerIsShutdown(java.lang.String jndiName)

      The connection manager is shutdown
      Parameters:
        `jndiName` - jndi name
      Returns:
        The value

    - #### getManagedConnectionRetryWaitInterrupted

          @Message(id=452,
                   value="Method getManagedConnection retry wait was interrupted: %s")
          java.lang.String getManagedConnectionRetryWaitInterrupted(java.lang.String jndiName)

      Method getManagedConnection retry wait was interrupted
      Parameters:
        `jndiName` - jndi name
      Returns:
        The value

    - #### unableGetManagedConnection

          @Message(id=453,
                   value="Unable to get managed connection for %s")
          java.lang.String unableGetManagedConnection(java.lang.String jndiName)

      Unable to get managed connection for
      Parameters:
        `jndiName` - jndi name
      Returns:
        The value

    - #### tryingUseConnectionFactoryShutDown

          @Message(id=454,
                   value="You are trying to use a connection factory that has been shut down: ManagedConnectionFactory is null")
          java.lang.String tryingUseConnectionFactoryShutDown()

      You are trying to use a connection factory that has been shut down ManagedConnectionFactory is null
      Returns:
        The value

    - #### wrongManagedConnectionFactorySentToAllocateConnection

          @Message(id=455,
                   value="Wrong ManagedConnectionFactory sent to allocateConnection (Pool=%s, MCF=%s)")
          java.lang.String wrongManagedConnectionFactorySentToAllocateConnection(java.lang.Object pool,
                                                                                                                                                                                                java.lang.Object mcf)

      Wrong ManagedConnectionFactory sent to allocateConnection
      Parameters:
        `pool` - The ManagedConnectionFactory used for the pool
        `mcf` - The ManagedConnectionFactory passed in
      Returns:
        The value

    - #### uncheckedThrowableInManagedConnectionGetConnection

          @Message(id=456,
                   value="Unchecked throwable in ManagedConnection.getConnection() cl=%s")
          java.lang.String uncheckedThrowableInManagedConnectionGetConnection(java.lang.Object obj)

      Unchecked throwable in ManagedConnection.getConnection()
      Parameters:
        `obj` - ConnectionListener instance
      Returns:
        The value

    - #### uncheckedThrowableInManagedConnectionReconnected

          @Message(id=457,
                   value="Unchecked throwable in managedConnectionReconnected() cl=%s")
          java.lang.String uncheckedThrowableInManagedConnectionReconnected(java.lang.Object obj)

      Unchecked throwable in managedConnectionReconnected()
      Parameters:
        `obj` - ConnectionListener instance
      Returns:
        The value

    - #### thisMethodNotSupported

          @Message(id=458,
                   value="This method is not supported")
          java.lang.String thisMethodNotSupported()

      This method is not supported
      Returns:
        The value

    - #### transactionNotActive

          @Message(id=459,
                   value="Transaction is not active: tx=%s")
          java.lang.String transactionNotActive(java.lang.Object obj)

      Transaction is not active
      Parameters:
        `obj` - transaction instance
      Returns:
        The value

    - #### errorCheckingForTransaction

          @Message(id=460,
                   value="Error checking for a transaction")
          java.lang.String errorCheckingForTransaction()

      Error checking for a transaction.
      Returns:
        The value

    - #### notEnlistInTransactionOnEnteringMetaAwareObject

          @Message(id=461,
                   value="Could not enlist in transaction on entering meta-aware object")
          java.lang.String notEnlistInTransactionOnEnteringMetaAwareObject()

      Could not enlist in transaction on entering meta-aware object
      Returns:
        The value

    - #### couldNotDelistResourceThenTransactionRollback

          @Message(id=462,
                   value="Could not delist resource, probably a transaction rollback")
          java.lang.String couldNotDelistResourceThenTransactionRollback()

      Could not delist resource, probably a transaction rollback
      Returns:
        The value

    - #### unableSetXAResourceTransactionTimeout

          @Message(id=463,
                   value="Unable to set XAResource transaction timeout: %s")
          java.lang.String unableSetXAResourceTransactionTimeout(java.lang.String jndiName)

      Unable to set XAResource transaction timeout
      Parameters:
        `jndiName` - jndi name
      Returns:
        The value

    - #### unableToFindConnectionListener

          @Message(id=464,
                   value="Unable to find connection listener")
          java.lang.String unableToFindConnectionListener()

      Unable to find connection listener
      Returns:
        The value

    - #### connectionIsNull

          @Message(id=465,
                   value="Connection is null")
          java.lang.String connectionIsNull()

      Connection is null
      Returns:
        The value

    - #### enlistmentNotEnabled

          @Message(id=466,
                   value="Enlistment not enabled")
          java.lang.String enlistmentNotEnabled()

      Enlistment not enabled
      Returns:
        The value

    - #### managedConnectionNotLazyEnlistable

          @Message(id=467,
                   value="Managed connection not lazy enlistable: %s")
          java.lang.String managedConnectionNotLazyEnlistable(java.lang.Object mc)

      Managed connection not lazy enlistable
      Parameters:
        `mc` - The managed connection
      Returns:
        The value

    - #### connectionListenerAlreadyEnlisted

          @Message(id=468,
                   value="Connection listener already enlisted: %s")
          java.lang.String connectionListenerAlreadyEnlisted(java.lang.Object cl)

      Connection listener already enlisted
      Parameters:
        `cl` - The connection listener
      Returns:
        The value

    - #### errorDuringEnlistment

          @Message(id=469,
                   value="Error during enlistment")
          java.lang.String errorDuringEnlistment()

      Error during enlistment
      Returns:
        The value

    - #### tryingUseConnectionFactoryShutDown

          @Message(id=470,
                   value="You are trying to use a connection factory that has been shut down: %s")
          java.lang.String tryingUseConnectionFactoryShutDown(java.lang.String name)

      You are trying to use a connection factory that has been shut down
      Parameters:
        `name` - The name
      Returns:
        The value

    - #### unableGetManagedConnectionPool

          @Message(id=651,
                   value="Unable to get managed connection pool")
          java.lang.String unableGetManagedConnectionPool()

      Unable to get managed connection pool
      Returns:
        The value

    - #### unableObtainLock

          @Message(id=652,
                   value="Unable to obtain lock")
          java.lang.String unableObtainLock()

      Unable to obtain lock
      Returns:
        The value

    - #### thePoolHasBeenShutdown

          @Message(id=653,
                   value="The pool has been shutdown (%s,%s)")
          java.lang.String thePoolHasBeenShutdown(java.lang.String pool,
                                                                                                                        java.lang.String mcp)

      The pool has been shutdown
      Parameters:
        `pool` - The pool
        `mcp` - The managed connection pool
      Returns:
        The value

    - #### interruptedWhileRequestingConnection

          @Message(id=654,
                   value="Interrupted while requesting connection: Waited %s ms")
          java.lang.String interruptedWhileRequestingConnection(long end)

      Interrupted while requesting connection
      Parameters:
        `end` - time of end
      Returns:
        The value

    - #### noMManagedConnectionsAvailableWithinConfiguredBlockingTimeout

          @Message(id=655,
                   value="No managed connections available within configured blocking timeout (%s [ms])")
          java.lang.String noMManagedConnectionsAvailableWithinConfiguredBlockingTimeout(long blockingTimeout)

      No ManagedConnections available within configured blocking timeout
      Parameters:
        `blockingTimeout` - timeout of blocking
      Returns:
        The value

    - #### shouldNeverHappen

          @Message(id=656,
                   value="This should never happen")
          java.lang.String shouldNeverHappen()

      This should never happen
      Returns:
        The value

    - #### interruptedWhileRequestingPermit

          @Message(id=657,
                   value="Interrupted while requesting permit: Waited %s ms")
          java.lang.String interruptedWhileRequestingPermit(long end)

      Interrupted while requesting permit
      Parameters:
        `end` - time of end
      Returns:
        The value

    - #### unexpectedThrowableWhileTryingCreateConnection

          @Message(id=658,
                   value="Unexpected throwable while trying to create a connection: %s")
          java.lang.String unexpectedThrowableWhileTryingCreateConnection(java.lang.Object obj)

      Unexpected throwable while trying to create a connection:
      Parameters:
        `obj` - connection listener instance
      Returns:
        The value

    - #### unableGetConnectionListener

          @Message(id=659,
                   value="Unable to get connection listener")
          java.lang.String unableGetConnectionListener()

      Unable to get connection listener
      Returns:
        The value

    - #### deploymentFailedSinceJndiNameHasDeployed

          @Message(id=751,
                   value="Deployment %s failed, %s is already deployed")
          java.lang.String deploymentFailedSinceJndiNameHasDeployed(java.lang.String className,
                                                                                                                                                    java.lang.String jndiName)

      Deployment failed since jndi name is already deployed
      Parameters:
        `className` - class name
        `jndiName` - jndi name
      Returns:
        The value

    - #### resourceAdapterInstanceNotActive

          @Message(id=851,
                   value="Resource adapter instance not active")
          java.lang.String resourceAdapterInstanceNotActive()

      ResourceAdapter instance not active
      Returns:
        The value

    - #### validationException

          @Message(id=852,
                   value="Validation exception")
          java.lang.String validationException()

      Validation exception
      Returns:
        The value

    - #### activationSpecClassNotAvailable

          @Message(id=853,
                   value="The activation spec class is no longer available")
          java.lang.String activationSpecClassNotAvailable()

      The activation spec class is no longer available
      Returns:
        The value

    - #### resourceAdapterNotAvailable

          @Message(id=854,
                   value="The resource adapter is no longer available")
          java.lang.String resourceAdapterNotAvailable()

      The resource adapter is no longer available
      Returns:
        The value

    - #### keyNotRegistered

          @Message(id=855,
                   value="%s isn\'t registered")
          java.lang.String keyNotRegistered(java.lang.String key)

      Key isn't registered
      Parameters:
        `key` - key name
      Returns:
        The value

    - #### unableLookupResourceAdapterInMDR

          @Message(id=856,
                   value="Unable to lookup resource adapter in MDR: %s")
          java.lang.String unableLookupResourceAdapterInMDR(java.lang.String uniqueId)

      Unable to lookup resource adapter in MDR
      Parameters:
        `uniqueId` - key name
      Returns:
        The value

    - #### errorDuringConnectionClose

          @Message(id=951,
                   value="Error during connection close")
          java.lang.String errorDuringConnectionClose()

      Error during connection close
      Returns:
        The value

    - #### errorDuringRecoveryInitialization

          @Message(id=952,
                   value="Error during recovery initialization")
          java.lang.String errorDuringRecoveryInitialization()

      Error during recovery initialization
      Returns:
        The value

    - #### errorDuringRecoveryShutdown

          @Message(id=953,
                   value="Error during recovery shutdown")
          java.lang.String errorDuringRecoveryShutdown()

      Error during recovery shutdown
      Returns:
        The value

    - #### tryingStartNewTxWhenOldNotComplete

          @Message(id=1151,
                   value="Trying to start a new transaction when old is not complete: Old: %s, New %s, Flags %s")
          java.lang.String tryingStartNewTxWhenOldNotComplete(java.lang.Object oldXid,
                                                                                                                                                                                        java.lang.Object newXid,
                                                                                                                                                                                        int flags)

      Trying to start a new tx when old is not complete
      Parameters:
        `oldXid` - old xid
        `newXid` - new xid
        `flags` - flags
      Returns:
        The value

    - #### tryingStartNewTxWithWrongFlags

          @Message(id=1152,
                   value="Trying to start a new transaction with wrong flags: New %s, Flags %s")
          java.lang.String tryingStartNewTxWithWrongFlags(java.lang.Object xid,
                                                                                                                                                                   int flags)

      Trying to start a new tx with wrong flags
      Parameters:
        `xid` - xid
        `flags` - flags
      Returns:
        The value

    - #### errorTryingStartLocalTx

          @Message(id=1153,
                   value="Error trying to start local transaction")
          java.lang.String errorTryingStartLocalTx()

      Error trying to start local tx
      Returns:
        The value

    - #### throwableTryingStartLocalTx

          @Message(id=1154,
                   value="Throwable trying to start local transaction")
          java.lang.String throwableTryingStartLocalTx()

      Throwable trying to start local transaction
      Returns:
        The value

    - #### wrongXidInCommit

          @Message(id=1155,
                   value="Wrong xid in commit: Expected: %s, Got: %s")
          java.lang.String wrongXidInCommit(java.lang.Object currentXid,
                                                                                                                           java.lang.Object xid)

      Wrong xid in commit
      Parameters:
        `currentXid` - current xid
        `xid` - xid
      Returns:
        The value

    - #### couldNotCommitLocalTx

          @Message(id=1156,
                   value="Could not commit local transaction")
          java.lang.String couldNotCommitLocalTx()

      Could not commit local tx
      Returns:
        The value

    - #### forgetNotSupportedInLocalTx

          @Message(id=1157,
                   value="Forget not supported in local transaction")
          java.lang.String forgetNotSupportedInLocalTx()

      Forget not supported in local tx
      Returns:
        The value

    - #### noRecoverWithLocalTxResourceManagers

          @Message(id=1158,
                   value="No recovery for LocalTransaction only resource manager")
          java.lang.String noRecoverWithLocalTxResourceManagers()

      No recover with local-tx only resource managers
      Returns:
        The value

    - #### wrongXidInRollback

          @Message(id=1159,
                   value="Wrong xid in rollback: Expected: %s, Got: %s")
          java.lang.String wrongXidInRollback(java.lang.Object currentXid,
                                                                                                                               java.lang.Object xid)

      Wrong xid in rollback
      Parameters:
        `currentXid` - current xid
        `xid` - xid
      Returns:
        The value

    - #### couldNotRollbackLocalTx

          @Message(id=1160,
                   value="Could not rollback local transaction")
          java.lang.String couldNotRollbackLocalTx()

      Could not rollback local tx
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)